BasicComboBoxUI.PropertyChangeHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicComboBoxUI, class: PropertyChangeHandler
Keywords: javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler class

# Class BasicComboBoxUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Direct Known Subclasses:
  `MetalComboBoxUI.MetalPropertyChangeListener`

Enclosing class:
  `BasicComboBoxUI`

public class BasicComboBoxUI.PropertyChangeHandler extends Object implements PropertyChangeListener
This listener watches for bound properties that have changed in the combo box.

Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo box ui correctly handles property changes.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  - `BasicComboBoxUI.createPropertyChangeListener()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyChangeHandler()`
  Constructs a `PropertyChangeHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `propertyChange(PropertyChangeEvent e)`
  This method gets called when a bound property is changed.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PropertyChangeHandler

    public PropertyChangeHandler()
    Constructs a `PropertyChangeHandler`.

- ## Method Details

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent e)
    Description copied from interface: `PropertyChangeListener`
    This method gets called when a bound property is changed.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `e` - A PropertyChangeEvent object describing the event source and the property that has changed.